'Name of the program.
InstallerName = "StackIt"

'Folder to copy.
CopyFolder = "stackit"

'Folder to install to.
TargetFolder = "C:\xampp\htdocs"

'Hosts file path.
HostsFile = "C:\Windows\System32\Drivers\etc\hosts"

'Set objects.
Set WScriptShell = CreateObject("WScript.Shell")
Set ScriptingFileSystemObject = CreateObject("Scripting.FileSystemObject")

'Ask to install. If not OK, create message and quit.
QuestionBox1 = MsgBox ("Ready to install " & InstallerName & "." & Vbcrlf & "Click OK to continue or Cancel to exit the installation." & Vbcrlf & "Please note that this installer will modify your Windows hosts file to deliver 127.0.0.1 every time that localhost.msn.com is called." & Vbcrlf & "Note: Make sure you have already installed XAMPP or" & Vbcrlf & "another local server program before continuing.", 1, InstallerName & " Installer")
If QuestionBox1 <> vbOK Then
MsgBox "Installation cancelled.", 0, InstallerName & " Installer"
WScript.Quit
End If

'Ask for path to install and provide default location.
CopyToPath = InputBox("Input the path to install " & InstallerName & ". For XAMPP installed to the default directory (C:\), click OK. If you installed XAMPP to a different directory or used another program, enter the correct top level server folder path below, then click OK.", InstallerName & " Installer", TargetFolder) 

'If Cancel was clicked, or nothing was entered, create message and exit.
If CopyToPath = "" Then
MsgBox "Installation cancelled.", 0, InstallerName & " Installer"
WScript.Quit
End If

'Ask for path to the hosts file and provide default location.
HostsFilePath = InputBox("Input the path to your computer's hosts file. If it is as below, click OK. Otherwise, enter the correct path below, then click OK.", InstallerName & " Installer", HostsFile) 

'If Cancel was clicked, or nothing was entered, create message and exit.
If HostsFilePath = "" Then
MsgBox "Installation cancelled.", 0, InstallerName & " Installer"
WScript.Quit
End If

'If the specified path to the hosts file is incorrect, make an error message and exit.
If Not ScriptingFileSystemObject.FileExists(HostsFilePath) Then
MsgBox "Could not find the file:" & HostsFilePath & Vbcrlf & "Check the path and try again.", 0, InstallerName & " Installer"
WScript.Quit
End If

'If the specified hosts file exists
If ScriptingFileSystemObject.FileExists(HostsFilePath) Then

'Set objects.
Set objFSO = CreateObject("Scripting.FileSystemObject")
Set objFile = objFSO.OpenTextFile(HostsFilePath, 1)

'Get the last line.
Do Until objFile.AtEndOfStream
strNextLine = objFile.ReadLine
strSearchLine = strNextLine
If strSearchLine = "127.0.0.1 localhost.msn.com" Then
strLine = strSearchLine
End If
Loop

If Not strSearchLine = "127.0.0.1 localhost.msn.com" Then
strLine = strSearchLine
End If

objFile.Close

'If the last line is not 127.0.0.1 localhost.msn.com, write it as the last line
If Not strLine = "127.0.0.1 localhost.msn.com" Then
Set objFile = objFSO.OpenTextFile(HostsFilePath, 8)
objFile.WriteLine(vbCrLf & "127.0.0.1 localhost.msn.com")
objFile.Close
End If
End If

'Check if the target folder already exists and ask to overwrite. If No was clicked, create message and exit.
If ScriptingFileSystemObject.FolderExists(CopyToPath & "\" & CopyFolder & "\beltz") Then
QuestionBox2 = MsgBox ("This program has detected that " & InstallerName & " is already installed." & Vbcrlf & "Do you wish to reinstall? Click Yes to reinstall, or No to exit the installation.", 4 + 256, InstallerName & " Installer")
If QuestionBox2 <> vbYes Then
MsgBox "Installation cancelled.", 0, InstallerName & " Installer"
WScript.Quit
End If
End If

'Get current directory.
WScriptShell.CurrentDirectory = ScriptingFileSystemObject.GetParentFolderName(Wscript.ScriptFullName)

'Set current directory variable.
CurrentDirectory = WScriptShell.CurrentDirectory

'Set path to copy from.
CopyFromPath = CurrentDirectory & "\" & CopyFolder

'Set objects.
Set ShellApplication = CreateObject("Shell.Application")
Set NameSpaceCopyPath = ShellApplication.NameSpace(CopyToPath)

'Check if the folder exists to copy from, else create an error message and exit.
If Not ScriptingFileSystemObject.FolderExists(CopyFromPath) Then
MsgBox "Could not find folder: " & CopyFolder & Vbcrlf & "Check the path and try again.", 0, InstallerName & " Installer"
WScript.Quit
End If

'Check if the folder exists to copy to, else create an error message and exit.
If Not ScriptingFileSystemObject.FolderExists(CopyToPath) Then
MsgBox "Could not find folder: " & Vbcrlf & CopyToPath & Vbcrlf & "Check the path and try again.", 0, InstallerName & " Installer"
WScript.Quit
End If

'If it exists, delete old folder first.
If ScriptingFileSystemObject.FolderExists(CopyToPath & "\" & CopyFolder) Then
Set DeleteFolder = ScriptingFileSystemObject.GetFolder(CopyToPath & "\" & CopyFolder)
DeleteFolder.Delete
End If

'Copy the folder to install.
NameSpaceCopyPath.CopyHere CopyFromPath, 16

'Create final message box, then exit.
MsgBox "Installation complete. You can now play " & InstallerName & Vbcrlf & "with Launcher.html.", 0, InstallerName & " Installer"
wscript.quit